module Main where
import ParseLib
import XMLLex
import XMLGram
import XMLAlgebra


start :: Parser a b -> [a] -> b
start p = fst . head . filter (null.snd) . p

main = do
       { xs <- readFile "voorbeeld.xml"
       ;      writeFile "pretty.xml" (process xs)
       }
   where process = foldXML
                 . start pNode
                 . start lexicalScanner
